curl --request GET \
--url https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "run",
"status": "success",
"results": [
{
"key": "value"
}
],
"next_page": "0",
"errors": []
}{
"errors": [
{
"status": 400,
"code": "bad_request",
"title": "Bad Request",
"detail": "Improperly formatted or incompleted request",
"source": null,
"meta": {}
}
]
}{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}{
"errors": [
{
"status": 404,
"code": "not_found",
"title": "Resource not found.",
"detail": "Here's a more readable explanation of what happened.",
"source": {
"pointer": "/path/to/field"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}{
"errors": [
{
"status": 503,
"code": "service_unavaiable",
"detail": "Service is temporarily unavailable"
}
]
}Get stored action run results
Fetch Stored Action Run
Requires the id returned from a call to /stored-actions//run to execute the stored action.
The status code returned by this call does NOT denote the status of the action in an external system, but the status of the action processing from Zapier.
Results are stored for seven days after the action was initially executed.
Authorizations
OAuth 2.0 authentication.
Response
Success: Includes the results of the task run.
The flat response payload for fetching a stored action run.
Any errors returned by the partner when running this action.
Show child attributes
Show child attributes
Specifies the resource type, as required by the JSON:API specification.
The id returned by the initial call to run an action.
The result of the action call itself from the partner. You could have a success=True (Zapier succeeded) and status=error (the partner raise an error).
error- errorsuccess- successwaiting- waiting
error, success, waiting Could be empty, even if the action was successfully run.
Show child attributes
Show child attributes
When using bulk read action types, this denotes the state of the paging utilities. Pass it back as page on the next POST /stored-actions/{stored_action_id}/run call.
Was this page helpful?